package com.brilliance.isc.common.ptspta.service;

import com.brilliance.isc.common.vo.CommonResult;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.brilliance.isc.vo.BnmVo;
import com.brilliance.isc.vo.PtsptaQueryVo;
import com.brilliance.isc.vo.ResponseSet;

import java.util.Map;

public interface PtsptaService {
    ResponseSet queryPta(PtsptaQueryVo ptsptaVo);

    ResponseSet queryPtsptaInfo(PtsptaQueryVo ptsptaVo);

    Map<String,Object> ptsTmpAdrAddAuto(PtsptaVo ptsptaVo);

    Map<String,Object> ptsTmpAdrAdd(PtsptaVo ptsptaVo);

    ResponseSet getPtsptaInfo(PtsptaQueryVo ptsptaVo);

    CommonResult queryPtyByExk(PtsptaQueryVo ptsptaVo);

    ResponseSet queryPtas(PtsptaQueryVo ptsptaVo);

    ResponseSet queryPtsptaInfo3(PtsptaQueryVo ptsptaVo);

    ResponseSet queryPta5(PtsptaQueryVo ptsptaVo);

    ResponseSet queryPtsptaInfo5(PtsptaQueryVo ptsptaVo);

    ResponseSet queryPtaBic(PtsptaQueryVo ptsptaVo);

    ResponseSet queryPtsptaBic(PtsptaQueryVo ptsptaVo);

    ResponseSet queryPtsptaInfo12(PtsptaQueryVo ptsptaVo);

    ResponseSet queryPtaInfoByOrcact(PtsptaQueryVo ptsptaVo);

    ResponseSet queryPtyInfos(PtsptaQueryVo ptsptaVo);

    ResponseSet queryBnm(BnmVo bnmVo);
}
